Gradle + Gradle Plugin supported versions

Anything libgdx related goes here!

Gradle + Gradle Plugin supported versions

Postby Simdin Games » Wed May 15, 2019 5:30 pm

Hi,

short question: where can I find info about Gradle and Gradle Plugin (Android Studio) officially supported versions by LibGdx? Android Studio keeps bagging me to update Gradle to 4.1 but I want to avoid issues...

Thx
Simdin Games
 
Posts: 23
Joined: Sun Nov 04, 2018 3:14 pm


Re: Gradle + Gradle Plugin supported versions

Postby obigu » Thu May 16, 2019 1:29 am

Current officially supported Gradle version is 4.6.

You can check it by creating a new project with Gdx Setup tool and checking the Gradle Wrapper version (/gradle/wrapper/gradle-wrapper.properties) which is the recommended way to use Gradle with libGDX projects (and IDEs recommended way as well when you import an existing one).
obigu
 
Posts: 133
Joined: Fri Aug 02, 2013 4:47 pm

Re: Gradle + Gradle Plugin supported versions

Postby Simdin Games » Fri May 17, 2019 5:35 pm

Thank you!
Simdin Games
 
Posts: 23
Joined: Sun Nov 04, 2018 3:14 pm

Re: Gradle + Gradle Plugin supported versions

Postby obigu » Sat May 18, 2019 3:25 pm

Unnofficially you can upgrade up to Gradle 4.10.3 without any further change (except from changing the version in the gradle wrapper .properties file) and you should not run into any issue.
obigu
 
Posts: 133
Joined: Fri Aug 02, 2013 4:47 pm

Re: Gradle + Gradle Plugin supported versions

Postby shatterblast » Sat May 18, 2019 10:39 pm

obigu wrote:Unnofficially you can upgrade up to Gradle 4.10.3 without any further change (except from changing the version in the gradle wrapper .properties file) and you should not run into any issue.

Going higher will cause a loss of Instant Run support on Android, which became deprecated last I checked.
shatterblast
 
Posts: 306
Joined: Sun Jul 06, 2014 1:14 pm


Return to Libgdx

Who is online

Users browsing this forum: No registered users and 1 guest